List References
curl --request GET \
--url https://app.octavehq.com/api/v2/reference/list \
--header 'api_key: <api-key>'import requests
url = "https://app.octavehq.com/api/v2/reference/list"
headers = {"api_key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_key: '<api-key>'}};
fetch('https://app.octavehq.com/api/v2/reference/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_metadata": {
"requestId": "requestId",
"timestamp": "2021-01-01T00:00:00.000Z",
"usage": 0,
"message": "message"
},
"data": [
{
"oId": "r_1234",
"createdAt": "2021-01-01",
"data": {
"businessModel": "<string>",
"theirChallenge": "<string>",
"howTheyUseUs": "<string>",
"whyTheyChoseUs": "<string>",
"impactTheySaw": [
"<string>"
],
"stakeholdersInvolved": [
"<string>"
],
"customFields": [
{
"title": "<string>",
"value": [
"<string>"
]
}
]
},
"user": {
"oId": "u_1234",
"firstName": "John",
"lastName": "Doe"
},
"workspace": {
"oId": "w_1234"
},
"name": "Large filesharing service",
"internalName": "Dropbox",
"updatedAt": "2021-01-01",
"deletedAt": "2021-01-01",
"archivedAt": "2021-01-01",
"description": "Description of the reference",
"active": true,
"unrecognized": false
}
],
"total": 123
}{
"_metadata": {
"requestId": "requestId",
"timestamp": "2021-01-01T00:00:00.000Z",
"usage": 0,
"message": "message"
},
"message": "<string>"
}Reference
List References
List References
GET
/
api
/
v2
/
reference
/
list
List References
Authorizations
Query Parameters
Text to search for
Limit the number of results
Offset the results
Filter by offering OId. Accepts Product, Service, and Solution OIds.
@deprecated Use offeringOId instead. Filter by offering OId (Product, Service, or Solution). Kept for backward compatibility.
Playbook OId
OIds
⌘I